Capital icon

Get grant details

Learn how to get information about all grants in your balance platform.

View source

After you successfully create a grant, you can get the details of these grants by making API requests. These details include, for example, the grant balances, repayment configuration, and status.

You can use this information to:

  • Show your user the details of their grant.
  • Track whether your user is repaying their grant.

Requirements

Before you begin, take into account the following requirements and preparations.

Requirement Description
Integration type You must have an Adyen for Platforms integration that supports Capital.
API credentials You must have a Balance Platform API key (for example, ws[_123456]@BalancePlatform.[YourBalancePlatform]) to access the Capital API.

Your API credential must have the following roles:
  • Balance Platform Capital Configuration role
  • Balance Platform Capital Grant Initiation role
Limitations Your user must operate in one of the supported countries/regions.
Setup steps Before you begin, make sure:

Get all grants of an account holder

You can get the details of all the grants given to a specific account holder. To do so:

  1. Make a GET /grants request with the receiving counterpartyAccountHolderId as a query parameter.

  2. In the response, note the grants array, which includes an object for each grant associated to the account holder. Each object includes the following parameters:

    Parameter Description
    id The identifier of the grant reference.
    grantAccountId The identifier of the grant account used to account for the grant.
    grantOfferId The identifier of the grant offer that has been selected by the receiving account holder.
    counterparty An object that contains the details of the receiving account holder.
    amount An object that contains the amount of the grant, in minor units.
    fee An object that contains the fee amount.
    repayment An object that contains the repayment amount, in basis points.
    balances An object that contains the details of the existing grant.
    status The status of the grant.
    renewal An object that contains details about grant renewal eligibility and the minimum financing amount.
    renewal.eligible Indicates if the grant meets eligibility requirements for grant renewal.
    renewal.minimumAmount The minimum financing amount the user must accept to renew the grant.
    This field appears only if renewal.eligible is true.
    renewsGrantId The unique identifier of the prior grant renewed by the current grant.
    This field appears only if the current grant was configured to renew the prior grant.

Get details of a specific grant

To get the balance of a specific grant:

  1. Make a GET /grants/{grantId} request with the receiving grantId as a query parameter.

  2. In the response, note the following parameters:

    Parameter Description
    id The identifier of the grant reference.
    grantAccountId The identifier of the grant account used to account for the grant.
    grantOfferId The identifier of the grant offer that has been selected by the receiving account holder.
    counterparty An object that contains the details of the receiving account holder.
    amount An object that contains the amount of the grant, in minor units.
    fee An object that contains the fee amount.
    repayment An object that contains the repayment amount, in basis points.
    balances An object that contains the details of the existing grant.
    status The status of the grant.
    renewal An object that contains details about grant renewal eligibility and the minimum financing amount.
    renewal.eligible Indicates if the grant meets eligibility requirements for grant renewal.
    renewal.minimumAmount The minimum financing amount the user must accept to renew the grant.
    This field appears only if renewal.eligible is true.
    renewsGrantId The unique identifier of the prior grant renewed by the current grant.
    This field appears only if the current grant was configured to renew the prior grant.

Get details of your grant account

The balances of all grants in your balance platform are tracked by your grant account.

To get the details of your grant account:

  1. Make a GET /grantAccounts/{id} request with the receiving id as a query parameter.

  2. In the response, note the following parameters:

    Parameter Description
    id The unique identifier of the grant account.
    balances An object that contains the details of all the existing grant(s) on your platform's grant account.
    limits An object that contains the details about the maximum allowed total amount for all grants on this grant account.

See also